Skip to main content
GET
/
registrants
/
{registrant_id}
cURL
curl -X GET "https://api.swoogo.com/api/v1/registrants/26361060?fields=id,email,first_name,last_name,registration_status,payment_status&expand=homeAddress" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "bio": "",
  "birth_date": "",
  "cc_email": "",
  "company": "Alan D Rosenburg Cpa Pc",
  "created_at": "2015-10-12 13:48:03",
  "email": "atomkiewicz@hotmail.com",
  "event_id": 1,
  "first_name": "Aleshia",
  "gender": {
    "id": 1,
    "value": "Female"
  },
  "id": 1,
  "job_title": "",
  "last_name": "Tomkiewicz",
  "middle_name": "",
  "mobile_phone": "",
  "prefix": "",
  "profile_picture": "",
  "suffix": "",
  "twitter_handle": "",
  "updated_at": "2015-10-12 13:48:15",
  "work_phone": "+44 1835 703597"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

registrant_id
integer
required

integer - required - The ID of the registrant you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,event_id,group_id,reg_type_id,package_id,discount_code,email,prefix,first_name,middle_name,last_name,suffix,company,job_title,work_phone,mobile_phone,profile_picture,twitter_handle,gender,birth_date,cc_email,bio,vat_number,contact_id,session_ids,waitlisted_session_ids,notes,reference,ip_address,individual_net,individual_tax,individual_tax_2,individual_gross,group_net,group_tax,group_tax_2,group_gross,group_paid,created_at,updated_at,registered_at,cancelled_at,checked_in_at,ext_token,secure_id,timezone,registration_status,language,payment_method,po_number,group_balance_due,payment_status"

expand
string

string - optional - Comma separated list of objects you want to return. Valid values: homeAddress, workAddress, billingAddress, emailHistory.

Example:

"homeAddress,workAddress,billingAddress,emailHistory"

Response

Get Registrant

bio
string
Example:

""

birth_date
string
Example:

""

cc_email
string
Example:

""

company
string
Example:

"Alan D Rosenburg Cpa Pc"

created_at
string
Example:

"2015-10-12 13:48:03"

email
string
Example:

"atomkiewicz@hotmail.com"

event_id
number
Example:

1

first_name
string
Example:

"Aleshia"

gender
object
id
number
Example:

1

job_title
string
Example:

""

last_name
string
Example:

"Tomkiewicz"

middle_name
string
Example:

""

mobile_phone
string
Example:

""

prefix
string
Example:

""

profile_picture
string
Example:

""

suffix
string
Example:

""

twitter_handle
string
Example:

""

updated_at
string
Example:

"2015-10-12 13:48:15"

work_phone
string
Example:

"+44 1835 703597"